# -*- coding: utf-8 -*-
# vim: enc=utf-8

%define name crossfire
%define version 1.7.0
%define release alt2
%define maps1_name maps-bigworld
%define maps1_filename maps
%define maps1_version 1.7.0
%define maps1_release %release
%define maps2_name maps-small
%define maps2_filename %maps2_name
%define maps2_version 1.5.0
%define maps2_release alt3

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Multiplayer graphical role-playing game
Summary(ru_RU.UTF-8): Многопользовательская графическая ролевая игра
License: GPL
Group: Games/Adventure
Url: http://crossfire.real-time.com

Source0: %{name}-%{version}.tar.bz2
Source1: %{name}-%{maps1_version}.%{maps1_filename}.tar.bz2
Source2: %{name}-%{maps2_version}.%{maps2_filename}.tar.bz2
Source3: %{name}
Source4: %{name}-%{maps1_name}.alternatives
Source5: %{name}-%{maps2_name}.alternatives

Provides: crossfire-server
Requires: crossfire-maps

# Automatically added by buildreq on Sat Jan 29 2005
BuildRequires: libpng-devel ncompress python-base python-dev tetex-latex xorg-x11-devel xorg-x11-libs zlib-devel perl-CGI


%description
crossfire is a multiplayer graphical arcade and adventure game made for
the X-Windows environment.  It runs on a client/server model.
The client runs with X11, GTK, or  SDL within a gtk window.

It has certain flavours from other games, especially Gauntlet (TM)
and Nethack/Moria.

Any number of players can move around in their own window, finding
and using items and battle monsters.  They can choose to cooperate
or compete in the same "world".

This package contains crossfire server.

%description -l ru_RU.UTF-8
crossfire - многопользовательская графическая аркадная и
приключенческая игра, работающая в среде X-Windows. Делится на 
клиентскую и серверную части. Доступны клиентские части с интерфейсом
X11, GTK, или SDL (в окне gtk).

Игра разработана под влиянием некоторых других игр, особенно Gauntlet 
(TM) и Nethack/Moria.

Любое количество игроков может перемещатся в созданном ими мире,
находить и использовать предметы, уничтожать монстров. Игроки могут
сотрудничать или конкурировать в пределах одного "мира"

Этот пакет содержит сервер crossfire.


%package doc
Summary: Documentation for the crossfire game
Summary(ru_RU.UTF-8): Документация для игры crossfire
Group: Games/Adventure

Requires: crossfire-client

%description doc
crossfire is a multiplayer graphical arcade and adventure game made for
the X-Windows environment.  It runs on a client/server model.
The client runs with X11, GTK, or  SDL within a gtk window.

It has certain flavours from other games, especially Gauntlet (TM)
and Nethack/Moria.

Any number of players can move around in their own window, finding
and using items and battle monsters.  They can choose to cooperate
or compete in the same "world".

This package contains documentation for the crossfire game.

%description -l ru_RU.UTF-8 doc
crossfire - многопользовательская графическая аркадная и
приключенческая игра, работающая в среде X-Windows. Делится на 
клиентскую и серверную части. Доступны клиентские части с интерфейсом
X11, GTK, или SDL (в окне gtk).

Игра разработана под влиянием некоторых других игр, особенно Gauntlet 
(TM) и Nethack/Moria.

Любое количество игроков может перемещатся в созданном ими мире,
находить и использовать предметы, уничтожать монстров. Игроки могут
сотрудничать или конкурировать в пределах одного "мира"

Этот пакет содержит полный комплект документации для игры в crossfire.


%package %{maps1_name}
AutoReq: no
Version: %{maps1_version}
Release: %{maps1_release}
Summary: Bigworld maps for crossfire
Summary(ru_RU.UTF-8): Карты большого мира для crossfire
Group: Games/Adventure

Provides: crossfire-maps
Requires: crossfire


%description %{maps1_name}
crossfire is a multiplayer graphical arcade and adventure game made for
the X-Windows environment.  It runs on a client/server model.
The client runs with X11, GTK, or  SDL within a gtk window.

It has certain flavours from other games, especially Gauntlet (TM)
and Nethack/Moria.

Any number of players can move around in their own window, finding
and using items and battle monsters.  They can choose to cooperate
or compete in the same "world".

This package contains bigworld maps for crossfire server.

%description -l ru_RU.UTF-8 %{maps1_name}
crossfire - многопользовательская графическая аркадная и
приключенческая игра, работающая в среде X-Windows. Делится на 
клиентскую и серверную части. Доступны клиентские части с интерфейсом
X11, GTK, или SDL (в окне gtk).

Игра разработана под влиянием некоторых других игр, особенно Gauntlet 
(TM) и Nethack/Moria.

Любое количество игроков может перемещатся в созданном ими мире,
находить и использовать предметы, уничтожать монстров. Игроки могут
сотрудничать или конкурировать в пределах одного "мира"

Этот пакет содержит карты большого мира для сервера crossfire.


%package %{maps2_name}
AutoReq: no
Version: %{maps2_version}
Release: %{maps2_release}
Summary: Small maps for crossfire
Summary(ru_RU.UTF-8): Карты малого мира для crossfire
Group: Games/Adventure

Provides: crossfire-maps
Requires: crossfire


%description %{maps2_name}
crossfire is a multiplayer graphical arcade and adventure game made for
the X-Windows environment.  It runs on a client/server model.
The client runs with X11, GTK, or  SDL within a gtk window.

It has certain flavours from other games, especially Gauntlet (TM)
and Nethack/Moria.

Any number of players can move around in their own window, finding
and using items and battle monsters.  They can choose to cooperate
or compete in the same "world".

This package contains small maps for crossfire server.

%description -l ru_RU.UTF-8 %{maps2_name}
crossfire - многопользовательская графическая аркадная и
приключенческая игра, работающая в среде X-Windows. Делится на 
клиентскую и серверную части. Доступны клиентские части с интерфейсом
X11, GTK, или SDL (в окне gtk).

Игра разработана под влиянием некоторых других игр, особенно Gauntlet 
(TM) и Nethack/Moria.

Любое количество игроков может перемещатся в созданном ими мире,
находить и использовать предметы, уничтожать монстров. Игроки могут
сотрудничать или конкурировать в пределах одного "мира"

Этот пакет содержит карты малого мира для сервера crossfire.


%prep
%setup -q


%build
CFLAGS="${CFLAGS:-%optflags}" ./configure \
	--prefix=%_prefix \
	--mandir=%_mandir \
	--bindir=%_gamesbindir \
	--datadir=%_gamesdatadir \
	--localstatedir=%_localstatedir/games \
	--sysconfdir=%_sysconfdir
%make_build


%install
make DESTDIR=%buildroot install
%__tar xjf %SOURCE1 -C %buildroot%_gamesdatadir/%name
mv %buildroot%_gamesdatadir/%name/maps %buildroot%_gamesdatadir/%name/%maps1_name
%__tar xjf %SOURCE2 -C %buildroot%_gamesdatadir/%name
mv %buildroot%_gamesdatadir/%name/maps %buildroot%_gamesdatadir/%name/%maps2_name
mv %buildroot%_localstatedir/games/%name/players %buildroot%_localstatedir/games/%name/players-%maps2_name
%__install -d %buildroot%_localstatedir/games/%name/players-%maps1_name
%__mkdir_p %buildroot{%_menudir,%_altdir}
%__install -D -m644 %SOURCE3 %buildroot%_menudir
%__install -p -m644 %SOURCE4 %buildroot%_altdir/%{name}-%maps1_name
%__install -p -m644 %SOURCE5 %buildroot%_altdir/%{name}-%maps2_name
%__install -d %buildroot%_defaultdocdir/%{name}-doc-%version
cp -R doc/* %buildroot%_defaultdocdir/%{name}-doc-%version
rm -f %buildroot%_defaultdocdir/%{name}-doc-%version/Developers/Makefile*
rm -rf %buildroot%_defaultdocdir/%{name}-doc-%version/playbook
rm -f %buildroot%_defaultdocdir/%{name}-doc-%version/playbook-html/Makefile*
rm -f %buildroot%_defaultdocdir/%{name}-doc-%version/playbook-html/*-extract
rm -f %buildroot%_defaultdocdir/%{name}-doc-%version/playbook-html/sorter
for shtm in \
    %buildroot%_defaultdocdir/%{name}-doc-%version/playbook-html/*.shtml;\
    do mv $shtm `echo $shtm|sed -e 's/\.shtml/\.html/'`;\
done
rm -rf %buildroot%_defaultdocdir/%{name}-doc-%version/scripts
rm -f %buildroot%_defaultdocdir/%{name}-doc-%version/spell-docs/Makefile*
rm -rf %buildroot%_defaultdocdir/%{name}-doc-%version/spoiler
rm -f %buildroot%_defaultdocdir/%{name}-doc-%version/spoiler-html/Makefile*
rm -f %buildroot%_defaultdocdir/%{name}-doc-%version/spoiler-html/*-extract
rm -f %buildroot%_defaultdocdir/%{name}-doc-%version/Makefile*
rm -f %buildroot%_defaultdocdir/%{name}-doc-%version/*.pl


%post
%update_menus

%postun
%clean_menus


%post %{maps1_name}
%register_alternatives %{name}-%maps1_name

%postun %{maps1_name}
%unregister_alternatives %{name}-%maps1_name

%post %{maps2_name}
%register_alternatives %{name}-%maps2_name

%postun %{maps2_name}
%unregister_alternatives %{name}-%maps2_name


%files
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*
%_gamesbindir/*
%attr(2711, root, games) %_gamesbindir/%name
%_libdir/%name
%_man6dir/*
%dir %attr(775, games, games) %_localstatedir/games/%name
%config(noreplace) %attr(664, games, games) %_localstatedir/games/%name/*
%dir %attr(775, games, games) %_localstatedir/games/%name/maps
#%dir %attr(775, games, games) %_localstatedir/games/%name/players
%dir %attr(775, games, games) %_localstatedir/games/%name/unique-items
%_menudir/%name
%_gamesdatadir/%name
%exclude %_gamesdatadir/%name/%maps1_name
%exclude %_gamesdatadir/%name/%maps2_name
%exclude %_localstatedir/games/%name/players-%maps1_name
%exclude %_localstatedir/games/%name/players-%maps2_name
%doc AUTHORS ChangeLog DEVELOPERS INSTALL NEWS README TODO

%files doc
%_defaultdocdir/%{name}-doc-%version

%files %{maps1_name}
%_gamesdatadir/%name/%maps1_name
%_altdir/%{name}-%maps1_name
%dir %attr(775, games, games) %_localstatedir/games/%name/players-%maps1_name

%files %{maps2_name}
%_gamesdatadir/%name/%maps2_name
%_altdir/%{name}-%maps2_name
%dir %attr(775, games, games) %_localstatedir/games/%name/players-%maps2_name


%changelog
* Sun Mar 13 2005 Eugene Vlasov <eugvv@altlinux.ru> 1.7.0-alt2
- Rebuild with python 2.4

* Fri Jan 28 2005 Eugene Vlasov <eugvv@altlinux.ru> 1.7.0-alt1
- New version
- Build crossfire-doc from crossfire-1.7.0-alt1.src
- Build server with python plugin

* Sun Dec 19 2004 Eugene Vlasov <eugvv@altlinux.ru> 1.6.0-alt2
- Switch player's save files together with maps

* Sun Nov 28 2004 Eugene Vlasov <eugvv@altlinux.ru> 1.6.0-alt1
- First build for Sisyphus

